package com.xiaoniu.niucai.task;

import com.xiaoniu.niucai.service.ITaMatchService;
import com.xiaoniu.niucai.service.ITaLotteryResultService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class Lottery {

    @Autowired
    ITaLotteryResultService iTaLotteryResultService;

    @Autowired
    ITaMatchService iTaMatchService;

    /**
     * 开奖轮询
     */
    @Scheduled(cron = "* 0/2 * * * ? ")
    public void lotteryOpenCheck() {
        // 数字彩
        try {
            iTaLotteryResultService.checkAndSetLotteryPrize();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("校验数字彩开奖结果错误: {}", e.getMessage());
        }

        // 体彩
        try {
            iTaMatchService.checkAndSetSportPrize();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("校验体彩开奖结果错误: {}", e.getMessage());
        }
    }
}
